## part 1: new lib
vlib work
vmap work work

## part 2: load design
vlog -novopt -incr -work work "../../tb/prim_sim.v"
vlog -novopt -incr -work work "../../tb/tb_mod.v"
vlog -novopt -incr -work work "../../fpga_project/src/gamma_exp.v"
vlog -novopt -incr -work work "../../fpga_project/src/gamma_correction/gamma_correction.vo"

## part 3: sim design
vsim -novopt work.tb_mod

## part 4: add signals
add wave /tb_mod/SYM_CLK
add wave /tb_mod/KEY1
add wave /tb_mod/frame_sync_o
add wave /tb_mod/line_sync_o
add wave /tb_mod/outvalid
add wave /tb_mod/R_dout
add wave /tb_mod/G_dout
add wave /tb_mod/B_dout


## part 5: show ui 
view wave
view structure
view signals

## part 6: run 
run 200us

